I have a MBP 2011 running 10.6.8.  Will the new airport time capsule work with it? I want to use it for the router and backup.

I have a MBP 2011 running 10.6.8.
Will the new airport time capsule work with it? I want to use it for the router and backup.

Just trying to figure out if this will work with my machine or if I should buy the older one. It seems to say I need Lion to run it. I can't upgrade to Lion without a backup. I can't backup without Time Capsule. Going in circles...help!
Thanks in advance..

AirPort Time Capsule - 2TB

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    Hi Meagan Q,

    Yes!
    The Airport Time Capsule works great with all Apple computers and wireless devices, that
    have Airport Utility and Time Capsule. If they are not the most current, just update them.

    Cross platform gets complicated, but I think you'll do great working with
    your MBP.

    I think that in order to benefit from Airport TC, Hi-End features, you may
    need the newest OS. But 10.6 will work fine.

    The first BackUp will take a few minutes, but then it will Sync regularly, and frequently.

    Good luck and I hope this helps!

    Riah

    Was this useful? Answer 1

    3 of 4 people found this useful

Related Questions